Package org.apache.sling.scripting.sightly.compiler.commands

## Class Loop.Start

- java.lang.Object
- - org.apache.sling.scripting.sightly.compiler.commands.Loop.Start

All Implemented Interfaces:
  `Command`

Enclosing class:
  Loop

    public static class Loop.Start
    extends Object
    implements Command

### Constructor Summary

Constructors
`Start​(String listVariable, String itemVariable, String indexVariable)`
`Start​(String listVariable, String itemVariable, String indexVariable, String beginVariable, String stepVariable, String endVariable)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `accept​(CommandVisitor visitor)` Accept a visitor.
`String` `getBeginVariable()`
`String` `getEndVariable()`
`String` `getIndexVariable()`
`String` `getItemVariable()`
`String` `getListVariable()`
`String` `getStepVariable()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Start

    public Start​(String listVariable,
                 String itemVariable,
                 String indexVariable)

#### Start

    public Start​(String listVariable,
                 String itemVariable,
                 String indexVariable,
                 String beginVariable,
                 String stepVariable,
                 String endVariable)

### Method Detail

#### getListVariable

    public String getListVariable()

#### getItemVariable

    public String getItemVariable()

#### getIndexVariable

    public String getIndexVariable()

#### getBeginVariable

    public String getBeginVariable()

#### getStepVariable

    public String getStepVariable()

#### getEndVariable

    public String getEndVariable()

#### accept

    public void accept​(CommandVisitor visitor)

Description copied from interface: `Command`
Accept a visitor.

Specified by:
  `accept` in interface `Command`
Parameters:
  `visitor` - the visitor that will process this command

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`